From 393d04d37620b0165071868a9f523aee1ed6771c Mon Sep 17 00:00:00 2001
From: Claude Heiland-Allen <claude@mathr.co.uk>
Date: Mon, 24 Sep 2018 16:43:05 +0100
Subject: [PATCH 26/39] fix display output truncated by 1 character

pure-data commit 6dc985251f2bff3bd33ee1c5263afbc354bf7bcb replaced
dropping whitespace at the end by dropping a single character at
the end.  this caused display to be truncated by a single character.

the workaround in this commit is to append a single whitespace, which
will be trimmed in pd-0.48 and earlier, and truncated in pd-0.49 and
later.
---
 src/classes_gui.cxx | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/classes_gui.cxx b/src/classes_gui.cxx
index f080ff8e..5d002c89 100644
--- a/src/classes_gui.cxx
+++ b/src/classes_gui.cxx
@@ -213,6 +213,7 @@ struct GridPrint : FObject { // partial redecl, désolé (classe supposée être
 			else if (strchr("[]\"$",s[i])) quoted << "\\" << (char)s[i];
 			else quoted << (char)s[i];
 		}
+		quoted << " "; // workaround for Pd commit 6dc985251f2bff3bd33ee1c5263afbc354bf7bcb
 		if (vis) sys_vgui("display_update %s .x%lx.c %d %d #000000 #ffffc8 %s %d \"%s\"\n", // Courier -12
 			rsym->s_name,(long)(intptr_t)glist_getcanvas(mom),text_xpix(bself,mom),text_ypix(bself,mom),
 			selected?"#0000ff":"#aaaaaa", sys_hostfontsize(glist_getfont(mom)),quoted.str().data());
-- 
2.19.1

